installation of multipath-tools-boot can break boot

Bug #1463046 reported by Scott Moser on 2015-06-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
multipath-tools (Debian)
New
Unknown
multipath-tools (Ubuntu)
High
Mathieu Trudel-Lapierre
Trusty
High
Mathieu Trudel-Lapierre
Vivid
High
Mathieu Trudel-Lapierre

Bug Description

installing multipath-tools-boot puts multipath code into initramfs.
This code can then cause failure to boot of what would otherwise be fine.

Note, this system does not have multipath , so it should not need this package, but installation of the package should not break boot.

Here is what is the crux of the issue i think:
$ for d in /dev/sda /dev/sdb; do echo "$d:'$(sudo /lib/udev/scsi_id --whitelisted --device=$d)'"; done
/dev/sda:'35000c5001feb99f0'
/dev/sdb:'35000c5001feb99f0'

Those are *not* multipath devices, but appear as such to dm-multipath.

Related bugs:
 * bug 1463043: some SM15K systems fail to boot after deployment - drop into initramfs shell
 * bug 1462530: multipath errors on vivid and wily kernel?

[ 0.000000] Initializing cgroup subsys cpuset
[ 0.000000] Initializing cgroup subsys cpu
[ 0.000000] Initializing cgroup subsys cpuacct
[ 0.000000] Linux version 3.13.0-35-generic (buildd@panlong) (gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1) ) #62-Ubuntu SMP Fri Aug 15 01:58:42 UTC 2014 (Ubuntu 3.13.0-35.62-generic 3.13.11.6)
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-3.13.0-35-generic root=UUID=1a50ebe5-c215-40e8-88ee-7348f02cb11e ro console=ttyS0,9600n8
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Centaur CentaurHauls
[ 0.000000] e820: BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009cbff] usable
[ 0.000000] BIOS-e820: [mem 0x000000000009cc00-0x000000000009ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000bef62fff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000bef63000-0x00000000bf162fff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x00000000bf163000-0x00000000bf5befff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000bf5bf000-0x00000000bf6befff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000bf6bf000-0x00000000bf7befff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x00000000bf7bf000-0x00000000bf7fefff] ACPI data
[ 0.000000] BIOS-e820: [mem 0x00000000bf7ff000-0x00000000bf7fffff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000bf800000-0x00000000bfffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000efffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000feb00000-0x00000000feb00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000ffc00000-0x00000000ffffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000100000000-0x000000043fffffff] usable
[ 0.000000] NX (Execute Disable) protection: active
[ 0.000000] SMBIOS 2.7 present.
[ 0.000000] No AGP bridge found
[ 0.000000] e820: last_pfn = 0x440000 max_arch_pfn = 0x400000000
[ 0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
[ 0.000000] e820: last_pfn = 0xbf800 max_arch_pfn = 0x400000000
[ 0.000000] Scanning 1 areas for low memory corruption
[ 0.000000] Using GB pages for direct mapping
[ 0.000000] init_memory_mapping: [mem 0x00000000-0x000fffff]
[ 0.000000] init_memory_mapping: [mem 0x43fe00000-0x43fffffff]
[ 0.000000] init_memory_mapping: [mem 0x43c000000-0x43fdfffff]
[ 0.000000] init_memory_mapping: [mem 0x400000000-0x43bffffff]
[ 0.000000] init_memory_mapping: [mem 0x00100000-0xbef62fff]
[ 0.000000] init_memory_mapping: [mem 0xbf163000-0xbf5befff]
[ 0.000000] init_memory_mapping: [mem 0xbf7ff000-0xbf7fffff]
[ 0.000000] init_memory_mapping: [mem 0x100000000-0x3ffffffff]
[ 0.000000] RAMDISK: [mem 0x35034000-0x36811fff]
[ 0.000000] ACPI: RSDP 00000000000fe020 000024 (v02 INSYDE)
[ 0.000000] ACPI: XSDT 00000000bf7fe120 000084 (v01 INSYDE IS CRB 00000003 01000013)
[ 0.000000] ACPI: FACP 00000000bf7fc000 00010C (v05 INSYDE IS CRB 00000003 ACPI 00040000)
[ 0.000000] ACPI: DSDT 00000000bf7f3000 004305 (v01 INSYDE IS CRB F0000000 ACPI 00040000)
[ 0.000000] ACPI: FACS 00000000bf79a000 000040
[ 0.000000] ACPI: UEFI 00000000bf7fd000 000236 (v01 INSYDE IS CRB 00000001 ACPI 00040000)
[ 0.000000] ACPI: HPET 00000000bf7fb000 000038 (v01 INSYDE IS CRB 00000001 ACPI 00040000)
[ 0.000000] ACPI: MCFG 00000000bf7f9000 00003C (v01 INSYDE IS CRB 00000001 ACPI 00040000)
[ 0.000000] ACPI: ASF! 00000000bf7f8000 0000A5 (v32 INSYDE IS CRB 00000001 ACPI 00040000)
[ 0.000000] ACPI: BOOT 00000000bf7f2000 000028 (v01 INSYDE IS CRB 00000001 ACPI 00040000)
[ 0.000000] ACPI: SLIC 00000000bf7f1000 000176 (v01 INSYDE IS CRB 00000001 ACPI 00040000)
[ 0.000000] ACPI: SPCR 00000000bf7f0000 000050 (v01 INSYDE IS CRB 00000001 ACPI 00040000)
[ 0.000000] ACPI: FPDT 00000000bf7ee000 000044 (v01 INSYDE IS CRB 00000001 ACPI 00040000)
[ 0.000000] ACPI: APIC 00000000bf7ec000 00009E (v01 INSYDE IS CRB 00000001 ACPI 00040000)
[ 0.000000] ACPI: SRAT 00000000bf7eb000 000128 (v02 AMD AGESA 00000001 AMD 00000001)
[ 0.000000] ACPI: SLIT 00000000bf7ea000 00002D (v01 AMD AGESA 00000001 AMD 00000001)
[ 0.000000] SRAT: PXM 0 -> APIC 0x10 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x11 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x12 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x13 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x14 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x15 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x16 -> Node 0
[ 0.000000] SRAT: PXM 0 -> APIC 0x17 -> Node 0
[ 0.000000] SRAT: Node 0 PXM 0 [mem 0x00000000-0x0009ffff]
[ 0.000000] SRAT: Node 0 PXM 0 [mem 0x00100000-0xbfffffff]
[ 0.000000] SRAT: Node 0 PXM 0 [mem 0x100000000-0x43fffffff]
[ 0.000000] ACPI: SLIT table looks invalid. Not used.
[ 0.000000] NUMA: Node 0 [mem 0x00000000-0x0009ffff] + [mem 0x00100000-0xbfffffff] -> [mem 0x00000000-0xbfffffff]
[ 0.000000] NUMA: Node 0 [mem 0x00000000-0xbfffffff] + [mem 0x100000000-0x43fffffff] -> [mem 0x00000000-0x43fffffff]
[ 0.000000] Initmem setup node 0 [mem 0x00000000-0x43fffffff]
[ 0.000000] NODE_DATA [mem 0x43fff9000-0x43fffdfff]
[ 0.000000] Zone ranges:
[ 0.000000] DMA [mem 0x00001000-0x00ffffff]
[ 0.000000] DMA32 [mem 0x01000000-0xffffffff]
[ 0.000000] Normal [mem 0x100000000-0x43fffffff]
[ 0.000000] Movable zone start for each node
[ 0.000000] Early memory node ranges
[ 0.000000] node 0: [mem 0x00001000-0x0009bfff]
[ 0.000000] node 0: [mem 0x00100000-0xbef62fff]
[ 0.000000] node 0: [mem 0xbf163000-0xbf5befff]
[ 0.000000] node 0: [mem 0xbf7ff000-0xbf7fffff]
[ 0.000000] node 0: [mem 0x100000000-0x43fffffff]
[ 0.000000] ACPI: PM-Timer IO Port: 0x408
[ 0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x10] enabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x11] enabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x12] enabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x03] lapic_id[0x13] enabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x04] lapic_id[0x14] enabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x05] lapic_id[0x15] enabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x06] lapic_id[0x16] enabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x07] lapic_id[0x17] enabled)
[ 0.000000] ACPI: LAPIC_NMI (acpi_id[0xff] high edge lint[0x1])
[ 0.000000] ACPI: IOAPIC (id[0x00] address[0xfec00000] gsi_base[0])
[ 0.000000] IOAPIC[0]: apic_id 0, version 33, address 0xfec00000, GSI 0-23
[ 0.000000] ACPI: IOAPIC (id[0x01] address[0xc0008000] gsi_base[24])
[ 0.000000] IOAPIC[1]: apic_id 1, version 33, address 0xc0008000, GSI 24-55
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 low level)
[ 0.000000] Using ACPI (MADT) for SMP configuration information
[ 0.000000] ACPI: HPET id: 0x1002a201 base: 0xfed00000
[ 0.000000] smpboot: Allowing 8 CPUs, 0 hotplug CPUs
[ 0.000000] PM: Registered nosave memory: [mem 0x0009c000-0x0009cfff]
[ 0.000000] PM: Registered nosave memory: [mem 0x0009d000-0x0009ffff]
[ 0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000dffff]
[ 0.000000] PM: Registered nosave memory: [mem 0x000e0000-0x000fffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xbef63000-0xbf162fff]
[ 0.000000] PM: Registered nosave memory: [mem 0xbf5bf000-0xbf6befff]
[ 0.000000] PM: Registered nosave memory: [mem 0xbf6bf000-0xbf7befff]
[ 0.000000] PM: Registered nosave memory: [mem 0xbf7bf000-0xbf7fefff]
[ 0.000000] PM: Registered nosave memory: [mem 0xbf800000-0xbfffffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xc0000000-0xdfffffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xe0000000-0xefffffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xf0000000-0xfeafffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfeb00000-0xfeb00fff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfeb01000-0xfebfffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfec00000-0xfec00fff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfec01000-0xfedfffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfee00000-0xfee00fff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfee01000-0xffbfffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xffc00000-0xffffffff]
[ 0.000000] e820: [mem 0xc0000000-0xdfffffff] available for PCI devices
[ 0.000000] Booting paravirtualized kernel on bare hardware
[ 0.000000] setup_percpu: NR_CPUS:256 nr_cpumask_bits:256 nr_cpu_ids:8 nr_node_ids:1
[ 0.000000] PERCPU: Embedded 29 pages/cpu @ffff88043fc00000 s86336 r8192 d24256 u262144
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 4125559
[ 0.000000] Policy zone: Normal
[ 0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.13.0-35-generic root=UUID=1a50ebe5-c215-40e8-88ee-7348f02cb11e ro console=ttyS0,9600n8
[ 0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[ 0.000000] xsave: enabled xstate_bv 0x7, cntxt size 0x340
[ 0.000000] Checking aperture...
[ 0.000000] No AGP bridge found
[ 0.000000] Node 0: aperture @ b4000000 size 32 MB
[ 0.000000] Aperture pointing to e820 RAM. Ignoring.
[ 0.000000] Your BIOS doesn't leave a aperture memory hole
[ 0.000000] Please enable the IOMMU option in the BIOS setup
[ 0.000000] This costs you 64 MB of RAM
[ 0.000000] Mapping aperture over 65536 KB of RAM @ b4000000
[ 0.000000] PM: Registered nosave memory: [mem 0xb4000000-0xb7ffffff]
[ 0.000000] Memory: 16328524K/16764268K available (7372K kernel code, 1144K rwdata, 3404K rodata, 1336K init, 1440K bss, 435744K reserved)
[ 0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=8, Nodes=1
[ 0.000000] Hierarchical RCU implementation.
[ 0.000000] RCU dyntick-idle grace-period acceleration is enabled.
[ 0.000000] RCU restricting CPUs from NR_CPUS=256 to nr_cpu_ids=8.
[ 0.000000] Offload RCU callbacks from all CPUs
[ 0.000000] Offload RCU callbacks from CPUs: 0-7.
[ 0.000000] NR_IRQS:16640 nr_irqs:1288 16
[ 0.000000] Console: colour dummy device 80x25
[ 0.000000] console [ttyS0] enabled
[ 0.000000] allocated 67108864 bytes of page_cgroup
[ 0.000000] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[ 0.004000] tsc: Fast TSC calibration using PIT
[ 0.008000] tsc: Detected 2000.168 MHz processor
[ 0.000003] Calibrating delay loop (skipped), value calculated using timer frequency.. 4000.33 BogoMIPS (lpj=8000672)
[ 0.127656] pid_max: default: 32768 minimum: 301
[ 0.183156] Security Framework initialized
[ 0.232380] AppArmor: AppArmor initialized
[ 0.281586] Yama: becoming mindful.
[ 0.325272] Dentry cache hash table entries: 2097152 (order: 12, 16777216 bytes)
[ 0.419527] Inode-cache hash table entries: 1048576 (order: 11, 8388608 bytes)
[ 0.508669] Mount-cache hash table entries: 32768 (order: 6, 262144 bytes)
[ 0.591336] Mountpoint-cache hash table entries: 32768 (order: 6, 262144 bytes)
[ 0.679551] Initializing cgroup subsys memory
[ 0.731893] Initializing cgroup subsys devices
[ 0.785274] Initializing cgroup subsys freezer
[ 0.838654] Initializing cgroup subsys blkio
[ 0.889945] Initializing cgroup subsys perf_event
[ 0.946458] Initializing cgroup subsys hugetlb
[ 0.999863] CPU: Physical Processor ID: 0
[ 1.048020] CPU: Processor Core ID: 0
[ 1.091999] mce: CPU supports 7 MCE banks
[ 1.140164] LVT offset 0 assigned for vector 0xf9
[ 1.196686] Last level iTLB entries: 4KB 512, 2MB 1024, 4MB 512
[ 1.196686] Last level dTLB entries: 4KB 1024, 2MB 1024, 4MB 512
[ 1.196686] tlb_flushall_shift: 5
[ 1.379703] Freeing SMP alternatives memory: 32K (ffffffff81e6d000 - ffffffff81e75000)
[ 1.476015] ACPI: Core revision 20131115
[ 1.525469] ACPI: All ACPI Tables successfully acquired
[ 1.589905] ftrace: allocating 28537 entries in 112 pages
[ 1.668679] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[ 1.780549] smpboot: CPU0: AMD Opteron(tm) Processor 4365 EE (fam: 15, model: 02, stepping: 00)
[ 1.992896] Performance Events: Fam15h core perfctr, AMD PMU driver.
[ 2.069582] ... version: 0
[ 2.117737] ... bit width: 48
[ 2.166934] ... generic registers: 6
[ 2.215092] ... value mask: 0000ffffffffffff
[ 2.278916] ... max period: 00007fffffffffff
[ 2.342737] ... fixed-purpose events: 0
[ 2.390890] ... event mask: 000000000000003f
[ 2.457093] NMI watchdog: enabled on all CPUs, permanently consumes one hw-PMU counter.
[ 2.553392] x86: Booting SMP configuration:
[ 2.603638] .... node #0, CPUs: #1 #2 #3 #4 #5 #6 #7
[ 2.761210] x86: Booted up 1 node, 8 CPUs
[ 2.811561] smpboot: Total of 8 processors activated (32002.68 BogoMIPS)
[ 2.909363] devtmpfs: initialized
[ 2.954679] EVM: security.selinux
[ 2.994482] EVM: security.SMACK64
[ 3.034282] EVM: security.ima
[ 3.069905] EVM: security.capability
[ 3.112912] PM: Registering ACPI NVS region [mem 0xbef63000-0xbf162fff] (2097152 bytes)
[ 3.209171] PM: Registering ACPI NVS region [mem 0xbf6bf000-0xbf7befff] (1048576 bytes)
[ 3.306627] pinctrl core: initialized pinctrl subsystem
[ 3.369489] regulator-dummy: no parameters
[ 3.418723] RTC time: 12:41:00, date: 06/08/15
[ 3.472150] NET: Registered protocol family 16
[ 3.525686] cpuidle: using governor ladder
[ 3.574885] cpuidle: using governor menu
[ 3.622088] ACPI: bus type PCI registered
[ 3.670242] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[ 3.747730] PCI: MMCONFIG for domain 0000 [bus 00-ff] at [mem 0xe0000000-0xefffffff] (base 0xe0000000)
[ 3.859600] PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved in E820
[ 3.962795] PCI: Using configuration type 1 for base access
[ 4.031603] bio: create slab <bio-0> at 0
[ 4.080047] ACPI: Added _OSI(Module Device)
[ 4.130297] ACPI: Added _OSI(Processor Device)
[ 4.183674] ACPI: Added _OSI(3.0 _SCP Extensions)
[ 4.240187] ACPI: Added _OSI(Processor Aggregator Device)
[ 4.307520] ACPI: Executed 1 blocks of module-level executable AML code
[ 4.389143] [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored
[ 4.462354] ACPI: Interpreter enabled
[ 4.506338] ACPI Exception: AE_NOT_FOUND, While evaluating Sleep State [\_S1_] (20131115/hwxface-580)
[ 4.617382] ACPI Exception: AE_NOT_FOUND, While evaluating Sleep State [\_S2_] (20131115/hwxface-580)
[ 4.728426] ACPI Exception: AE_NOT_FOUND, While evaluating Sleep State [\_S3_] (20131115/hwxface-580)
[ 4.839466] ACPI Exception: AE_NOT_FOUND, While evaluating Sleep State [\_S4_] (20131115/hwxface-580)
[ 4.950514] ACPI: (supports S0 S5)
[ 4.991357] ACPI: Using IOAPIC for interrupt routing
[ 5.051097] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[ 5.161042] ACPI: No dock devices found.
[ 5.216753] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[ 5.291024] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[ 5.389848] acpi PNP0A08:00: _OSC: OS now controls [PCIeHotplug PME AER PCIeCapability]
[ 5.486540] PCI host bridge to bus 0000:00
[ 5.535744] pci_bus 0000:00: root bus resource [bus 00-ff]
[ 5.601656] pci_bus 0000:00: root bus resource [io 0x0000-0x0cf7]
[ 5.675923] pci_bus 0000:00: root bus resource [io 0x0d00-0xffff]
[ 5.750193] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff]
[ 5.832823] pci_bus 0000:00: root bus resource [mem 0x000c0000-0x000c3fff]
[ 5.915451] pci_bus 0000:00: root bus resource [mem 0x000c4000-0x000c7fff]
[ 5.998076] pci_bus 0000:00: root bus resource [mem 0x000c8000-0x000cbfff]
[ 6.080698] pci_bus 0000:00: root bus resource [mem 0x000cc000-0x000cffff]
[ 6.163323] pci_bus 0000:00: root bus resource [mem 0x000d0000-0x000d3fff]
[ 6.245950] pci_bus 0000:00: root bus resource [mem 0x000d4000-0x000d7fff]
[ 6.328574] pci_bus 0000:00: root bus resource [mem 0x000d8000-0x000dbfff]
[ 6.411199] pci_bus 0000:00: root bus resource [mem 0x000dc000-0x000dffff]
[ 6.493822] pci_bus 0000:00: root bus resource [mem 0x000e0000-0x000e3fff]
[ 6.576448] pci_bus 0000:00: root bus resource [mem 0x000e4000-0x000e7fff]
[ 6.659074] pci_bus 0000:00: root bus resource [mem 0x000e8000-0x000ebfff]
[ 6.741699] pci_bus 0000:00: root bus resource [mem 0x000ec000-0x000effff]
[ 6.824323] pci_bus 0000:00: root bus resource [mem 0xc0000000-0xf7ffffff]
[ 6.906949] pci_bus 0000:00: root bus resource [mem 0xfc000000-0xfed3ffff]
[ 6.989574] pci_bus 0000:00: root bus resource [mem 0xfed45000-0xffffffff]
[ 7.072499] pci 0000:00:02.0: System wakeup disabled by ACPI
[ 7.140656] pci 0000:00:03.0: System wakeup disabled by ACPI
[ 7.208820] pci 0000:00:04.0: System wakeup disabled by ACPI
[ 7.276979] pci 0000:00:05.0: System wakeup disabled by ACPI
[ 7.345136] pci 0000:00:06.0: System wakeup disabled by ACPI
[ 7.413296] pci 0000:00:07.0: System wakeup disabled by ACPI
[ 7.481453] pci 0000:00:09.0: System wakeup disabled by ACPI
[ 7.549606] pci 0000:00:0a.0: System wakeup disabled by ACPI
[ 7.618116] pci 0000:00:14.4: System wakeup disabled by ACPI
[ 7.692908] pci 0000:00:02.0: PCI bridge to [bus 01]
[ 7.760906] pci 0000:00:03.0: PCI bridge to [bus 02]
[ 7.820648] acpiphp: Slot [1] registered
[ 7.872908] pci 0000:00:04.0: PCI bridge to [bus 03]
[ 7.940905] pci 0000:00:05.0: PCI bridge to [bus 04]
[ 8.008905] pci 0000:00:06.0: PCI bridge to [bus 05]
[ 8.076905] pci 0000:00:07.0: PCI bridge to [bus 06]
[ 8.144905] pci 0000:00:09.0: PCI bridge to [bus 07]
[ 8.212904] pci 0000:00:0a.0: PCI bridge to [bus 08]
[ 8.272652] pci 0000:00:14.4: PCI bridge to [bus 09] (subtractive decode)
[ 8.355015] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 7 10 11 12 14 15) *0, disabled.
[ 8.452673] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 7 10 11 12 14 15) *0, disabled.
[ 8.550345] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 7 10 11 12 14 15) *0, disabled.
[ 8.647994] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 7 10 11 12 14 15) *0, disabled.
[ 8.745662] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 7 10 11 12 14 15) *0, disabled.
[ 8.843331] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 7 10 11 12 14 15) *0, disabled.
[ 8.940999] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 7 10 11 12 14 15) *0, disabled.
[ 9.038656] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 7 10 11 12 14 15) *0, disabled.
[ 9.136399] ACPI: Enabled 3 GPEs in block 00 to 1F
[ 9.194354] vgaarb: loaded
[ 9.227087] SCSI subsystem initialized
[ 9.272207] ACPI: bus type USB registered
[ 9.320383] usbcore: registered new interface driver usbfs
[ 9.386305] usbcore: registered new interface driver hub
[ 9.450173] usbcore: registered new device driver usb
[ 9.511044] PCI: Using ACPI for IRQ routing
[ 9.570593] NetLabel: Initializing
[ 9.611438] NetLabel: domain hash size = 128
[ 9.663773] NetLabel: protocols = UNLABELED CIPSOv4
[ 9.723437] NetLabel: unlabeled traffic allowed by default
[ 9.790464] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0, 0
[ 9.852731] hpet0: 4 comparators, 32-bit 14.318180 MHz counter
[ 9.924916] Switched to clocksource hpet
[ 9.980978] AppArmor: AppArmor Filesystem Enabled
[ 10.037513] pnp: PnP ACPI init
[ 10.074195] ACPI: bus type PNP registered
[ 10.122619] system 00:00: [mem 0xfea00000-0xfea01fff] has been reserved
[ 10.202119] system 00:00: [mem 0xfee00000-0xfee00fff] has been reserved
[ 10.281618] system 00:00: [mem 0xe0000000-0xefffffff] has been reserved
[ 10.361114] system 00:00: [mem 0xc0008000-0xc0009fff] could not be reserved
[ 10.445239] system 00:06: [io 0x0400-0x04cf] could not be reserved
[ 10.520554] system 00:06: [io 0x04d0-0x04d1] has been reserved
[ 10.591697] system 00:06: [io 0x04d6] has been reserved
[ 10.655526] system 00:06: [io 0x0500-0x0507] has been reserved
[ 10.726664] system 00:06: [io 0x0680-0x06ff] has been reserved
[ 10.797804] system 00:06: [io 0x077a] has been reserved
[ 10.861636] system 00:06: [io 0x0c00-0x0c01] has been reserved
[ 10.932778] system 00:06: [io 0x0c14] has been reserved
[ 10.996610] system 00:06: [io 0x0c50-0x0c52] has been reserved
[ 11.067751] system 00:06: [io 0x0c6c] has been reserved
[ 11.131581] system 00:06: [io 0x0c6f] has been reserved
[ 11.195411] system 00:06: [io 0x0cd0-0x0cdb] has been reserved
[ 11.266555] system 00:06: [io 0x0e00-0x0e7f] has been reserved
[ 11.337806] system 00:07: [mem 0x000e0000-0x000fffff] could not be reserved
[ 11.421479] system 00:07: [mem 0xffc00000-0xffffffff] has been reserved
[ 11.501400] pnp: PnP ACPI: found 8 devices
[ 11.550606] ACPI: bus type PNP unregistered
[ 11.608047] pci 0000:00:02.0: PCI bridge to [bus 01]
[ 11.667700] pci 0000:00:02.0: bridge window [io 0x9000-0x9fff]
[ 11.740934] pci 0000:00:02.0: bridge window [mem 0xc0900000-0xc09fffff]
[ 11.822520] pci 0000:00:03.0: PCI bridge to [bus 02]
[ 11.882170] pci 0000:00:03.0: bridge window [io 0x8000-0x8fff]
[ 11.955404] pci 0000:00:03.0: bridge window [mem 0xc0800000-0xc08fffff]
[ 12.036996] pci 0000:00:04.0: PCI bridge to [bus 03]
[ 12.096647] pci 0000:00:04.0: bridge window [io 0x7000-0x7fff]
[ 12.169874] pci 0000:00:04.0: bridge window [mem 0xc0700000-0xc07fffff]
[ 12.251461] pci 0000:00:05.0: PCI bridge to [bus 04]
[ 12.311113] pci 0000:00:05.0: bridge window [io 0x6000-0x6fff]
[ 12.384344] pci 0000:00:05.0: bridge window [mem 0xc0600000-0xc06fffff]
[ 12.465934] pci 0000:00:06.0: PCI bridge to [bus 05]
[ 12.525582] pci 0000:00:06.0: bridge window [io 0x5000-0x5fff]
[ 12.598809] pci 0000:00:06.0: bridge window [mem 0xc0500000-0xc05fffff]
[ 12.680396] pci 0000:00:07.0: PCI bridge to [bus 06]
[ 12.740047] pci 0000:00:07.0: bridge window [io 0x4000-0x4fff]
[ 12.813278] pci 0000:00:07.0: bridge window [mem 0xc0400000-0xc04fffff]
[ 12.894868] pci 0000:00:09.0: PCI bridge to [bus 07]
[ 12.954519] pci 0000:00:09.0: bridge window [io 0x3000-0x3fff]
[ 13.027752] pci 0000:00:09.0: bridge window [mem 0xc0300000-0xc03fffff]
[ 13.109341] pci 0000:00:0a.0: PCI bridge to [bus 08]
[ 13.168993] pci 0000:00:0a.0: bridge window [io 0x2000-0x2fff]
[ 13.242224] pci 0000:00:0a.0: bridge window [mem 0xc0200000-0xc02fffff]
[ 13.323812] pci 0000:00:14.4: PCI bridge to [bus 09]
[ 13.383462] pci 0000:00:14.4: bridge window [io 0x1000-0x1fff]
[ 13.456911] NET: Registered protocol family 2
[ 13.509566] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[ 13.598899] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[ 13.679674] TCP: Hash tables configured (established 131072 bind 65536)
[ 13.759211] TCP: reno registered
[ 13.798008] UDP hash table entries: 8192 (order: 6, 262144 bytes)
[ 13.871327] UDP-Lite hash table entries: 8192 (order: 6, 262144 bytes)
[ 13.949935] NET: Registered protocol family 1
[ 14.002467] Trying to unpack rootfs image as initramfs...
[ 14.603607] Freeing initrd memory: 24440K (ffff880035034000 - ffff880036812000)
[ 14.691968] PCI-DMA: Disabling AGP.
[ 14.735828] PCI-DMA: aperture base @ b4000000 size 65536 KB
[ 14.802790] PCI-DMA: using GART IOMMU.
[ 14.847814] PCI-DMA: Reserving 64MB of IOMMU area in the AGP aperture
[ 14.931251] Simple Boot Flag at 0x44 set to 0x1
[ 14.986041] perf: AMD NB counters detected
[ 15.035309] [Firmware Bug]: cpu 6, try to use APIC500 (LVT offset 0) for vector 0x10400, but the register is already in use for vector 0xf9 on another cpu
[ 15.201497] [Firmware Bug]: cpu 6, IBS interrupt offset 0 not available (MSRC001103A=0x0000000000000100)
[ 15.315459] Failed to setup IBS, -22
[ 15.358456] microcode: CPU0: patch_level=0x0600081c
[ 15.417061] microcode: CPU1: patch_level=0x0600081c
[ 15.475672] microcode: CPU2: patch_level=0x0600081c
[ 15.534283] microcode: CPU3: patch_level=0x0600081c
[ 15.592896] microcode: CPU4: patch_level=0x0600081c
[ 15.651502] microcode: CPU5: patch_level=0x0600081c
[ 15.710106] microcode: CPU6: patch_level=0x0600081c
[ 15.768715] microcode: CPU7: patch_level=0x0600081c
[ 15.827381] microcode: Microcode Update Driver: v2.00 <email address hidden>, Peter Oruba
[ 15.932989] Scanning for low memory corruption every 60 seconds
[ 16.004132] tsc: Refined TSC clocksource calibration: 2000.070 MHz
[ 16.078795] Initialise system trusted keyring
[ 16.131182] audit: initializing netlink socket (disabled)
[ 16.196072] type=2000 audit(1433767252.528:1): initialized
[ 16.296517] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[ 16.374889] zbud: loaded
[ 16.405479] VFS: Disk quotas dquot_6.5.2
[ 16.452646] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[ 16.530679] fuse init (API version 7.22)
[ 16.577905] msgmni has been set to 32068
[ 16.625094] Key type big_key registered
[ 16.671799] Key type asymmetric registered
[ 16.721003] Asymmetric key parser 'x509' registered
[ 16.779643] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
[ 16.868609] io scheduler noop registered
[ 16.915725] io scheduler deadline registered (default)
[ 16.977493] io scheduler cfq registered
[ 17.023679] pcieport 0000:00:02.0: device [1002:5a16] has invalid IRQ; check vendor BIOS
[ 17.120954] Switched to clocksource tsc
[ 17.121180] pcieport 0000:00:03.0: device [1002:5a17] has invalid IRQ; check vendor BIOS
[ 17.121350] pcieport 0000:00:04.0: device [1002:5a18] has invalid IRQ; check vendor BIOS
[ 17.121518] pcieport 0000:00:05.0: device [1002:5a19] has invalid IRQ; check vendor BIOS
[ 17.121682] pcieport 0000:00:06.0: device [1002:5a1a] has invalid IRQ; check vendor BIOS
[ 17.121850] pcieport 0000:00:07.0: device [1002:5a1b] has invalid IRQ; check vendor BIOS
[ 17.122013] pcieport 0000:00:09.0: device [1002:5a1c] has invalid IRQ; check vendor BIOS
[ 17.122179] pcieport 0000:00:0a.0: device [1002:5a1d] has invalid IRQ; check vendor BIOS
[ 17.122383] pcieport 0000:00:02.0: Signaling PME through PCIe PME interrupt
[ 17.122384] pci 0000:01:00.0: Signaling PME through PCIe PME interrupt
[ 17.122386] pci 0000:01:00.1: Signaling PME through PCIe PME interrupt
[ 17.122408] pcieport 0000:00:03.0: Signaling PME through PCIe PME interrupt
[ 17.122409] pci 0000:02:00.0: Signaling PME through PCIe PME interrupt
[ 17.122410] pci 0000:02:00.1: Signaling PME through PCIe PME interrupt
[ 17.122434] pcieport 0000:00:04.0: Signaling PME through PCIe PME interrupt
[ 17.122435] pci 0000:03:00.0: Signaling PME through PCIe PME interrupt
[ 17.122436] pci 0000:03:00.1: Signaling PME through PCIe PME interrupt
[ 17.122458] pcieport 0000:00:05.0: Signaling PME through PCIe PME interrupt
[ 17.122460] pci 0000:04:00.0: Signaling PME through PCIe PME interrupt
[ 17.122461] pci 0000:04:00.1: Signaling PME through PCIe PME interrupt
[ 17.122483] pcieport 0000:00:06.0: Signaling PME through PCIe PME interrupt
[ 17.122484] pci 0000:05:00.0: Signaling PME through PCIe PME interrupt
[ 17.122486] pci 0000:05:00.1: Signaling PME through PCIe PME interrupt
[ 17.122509] pcieport 0000:00:07.0: Signaling PME through PCIe PME interrupt
[ 17.122510] pci 0000:06:00.0: Signaling PME through PCIe PME interrupt
[ 17.122511] pci 0000:06:00.1: Signaling PME through PCIe PME interrupt
[ 17.122536] pcieport 0000:00:09.0: Signaling PME through PCIe PME interrupt
[ 17.122537] pci 0000:07:00.0: Signaling PME through PCIe PME interrupt
[ 17.122539] pci 0000:07:00.1: Signaling PME through PCIe PME interrupt
[ 17.122560] pcieport 0000:00:0a.0: Signaling PME through PCIe PME interrupt
[ 17.122562] pci 0000:08:00.0: Signaling PME through PCIe PME interrupt
[ 17.122563] pci 0000:08:00.1: Signaling PME through PCIe PME interrupt
[ 17.122582] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[ 17.122601] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[ 19.918592] efifb: probing for efifb
[ 19.961552] efifb: framebuffer at 0xa0000, mapped to 0xffff8800000a0000, using 64k, total 64k
[ 20.064025] efifb: mode is 640x480x1, linelength=80, pages=1
[ 20.132025] efifb: scrolling: redraw
[ 20.174957] efifb: Truecolor: size=8:8:8:8, shift=24:16:8:0
[ 20.245420] Console: switching to colour frame buffer device 80x30
[ 20.323151] fb0: EFI VGA frame buffer device
[ 20.374459] ipmi message handler version 39.2
[ 20.426872] input: Power Button as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input0
[ 20.525177] ACPI: Power Button [PWRB]
[ 20.569208] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input1
[ 20.658104] ACPI: Power Button [PWRF]
[ 20.702396] GHES: HEST is not enabled!
[ 20.747528] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled
[ 20.844413] serial8250: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
[ 20.939152] Linux agpgart interface v0.103
[ 20.990095] brd: module loaded
[ 21.027660] loop: module loaded
[ 21.065891] libphy: Fixed MDIO Bus: probed
[ 21.115223] tun: Universal TUN/TAP device driver, 1.6
[ 21.175913] tun: (C) 1999-2004 Max Krasnyansky <email address hidden>
[ 21.250284] PPP generic driver version 2.4.2
[ 21.301653] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 21.380111] ehci-pci: EHCI PCI platform driver
[ 21.433514] ehci-platform: EHCI generic platform driver
[ 21.496304] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[ 21.570573] ohci-pci: OHCI PCI platform driver
[ 21.623962] ohci-platform: OHCI generic platform driver
[ 21.686751] uhci_hcd: USB Universal Host Controller Interface driver
[ 21.763178] i8042: PNP: No PS/2 controller found. Probing ports directly.
[ 22.869644] i8042: No controller found
[ 22.914771] mousedev: PS/2 mouse device common for all mice
[ 22.981874] rtc_cmos 00:04: RTC can wake from S4
[ 23.037474] rtc_cmos 00:04: rtc core: registered rtc_cmos as rtc0
[ 23.110731] rtc_cmos 00:04: alarms up to one month, y3k, 114 bytes nvram, hpet irqs
[ 23.202840] device-mapper: uevent: version 1.0.3
[ 23.258403] device-mapper: ioctl: 4.27.0-ioctl (2013-10-30) initialised: <email address hidden>
[ 23.359839] ledtrig-cpu: registered to indicate activity on CPUs
[ 23.432147] TCP: cubic registered
[ 23.472071] NET: Registered protocol family 10
[ 23.525665] NET: Registered protocol family 17
[ 23.579049] Key type dns_resolver registered
[ 23.630893] Loading compiled-in X.509 certificates
[ 23.689722] Loaded X.509 cert 'Magrathea: Glacier signing key: b1414ae96c1b0ebb7c141fa405c1f6c98e8a66f0'
[ 23.803703] registered taskstats version 1
[ 23.855851] Key type trusted registered
[ 23.903926] Key type encrypted registered
[ 23.954176] AppArmor: AppArmor sha1 policy hashing enabled
[ 24.020094] IMA: No TPM chip found, activating TPM-bypass!
[ 24.086504] regulator-dummy: disabling
[ 24.131595] Magic number: 3:6:683
[ 24.173564] rtc_cmos 00:04: setting system clock to 2015-06-08 12:41:21 UTC (1433767281)
[ 24.270915] powernow-k8: This CPU is not supported anymore, using acpi-cpufreq instead.
[ 24.368152] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
[ 24.440332] EDD information not available.
[ 24.491514] Freeing unused kernel memory: 1336K (ffffffff81d1f000 - ffffffff81e6d000)
[ 24.585631] Write protecting the kernel read-only data: 12288k
[ 24.660161] Freeing unused kernel memory: 808K (ffff880001736000 - ffff880001800000)
[ 24.756892] Freeing unused kernel memory: 692K (ffff880001b53000 - ffff880001c00000)
Loading, please [ 24.867435] systemd-udevd[151]: starting version 204
wait...
[ 24.952831] e1000: Intel(R) PRO/1000 Network Driver - version 7.3.21-k8-NAPI
[ 25.037563] e1000: Copyright (c) 1999-2006 Intel Corporation.
[ 25.168900] device-mapper: multipath: version 1.6.0 loaded
[ 25.414207] e1000 0000:01:00.1 eth0: (PCI-X:33MHz:32-bit) 00:22:99:e0:00:07
[ 25.497888] e1000 0000:01:00.1 eth0: Intel(R) PRO/1000 Network Connection
[ 25.579811] ahci 0000:01:00.0: AHCI 0001.0100 32 slots 4 ports 1.5 Gbps 0xf impl SATA mode
[ 25.679157] ahci 0000:01:00.0: flags: led clo only pio ccc
[ 25.746767] scsi0 : ahci
[ 25.777293] scsi1 : ahci
[ 25.807786] scsi2 : ahci
[ 25.838279] scsi3 : ahci
[ 25.868739] ata1: SATA max UDMA/133 abar m65536@0xc0920000 port 0xc0920100 irq 24
[ 25.878823] e1000 0000:02:00.1 eth1: (PCI-X:33MHz:32-bit) 00:22:99:e0:00:06
[ 25.878826] e1000 0000:02:00.1 eth1: Intel(R) PRO/1000 Network Connection
[ 26.123916] ata2: SATA max UDMA/133 abar m65536@0xc0920000 port 0xc0920180 irq 24
[ 26.162827] e1000 0000:03:00.1 eth2: (PCI-X:33MHz:32-bit) 00:22:99:e0:00:00
[ 26.162829] e1000 0000:03:00.1 eth2: Intel(R) PRO/1000 Network Connection
[ 26.379094] ata3: SATA max UDMA/133 abar m65536@0xc0920000 port 0xc0920200 irq 24
[ 26.462839] e1000 0000:04:00.1 eth3: (PCI-X:33MHz:32-bit) 00:22:99:e0:00:01
[ 26.462841] e1000 0000:04:00.1 eth3: Intel(R) PRO/1000 Network Connection
[ 26.634281] ata4: SATA max UDMA/133 abar m65536@0xc0920000 port 0xc0920280 irq 24
[ 26.724452] ahci 0000:02:00.0: AHCI 0001.0100 32 slots 4 ports 1.5 Gbps 0xf impl SATA mode
[ 26.762866] e1000 0000:05:00.1 eth4: (PCI-X:33MHz:32-bit) 00:22:99:e0:00:02
[ 26.762869] e1000 0000:05:00.1 eth4: Intel(R) PRO/1000 Network Connection
[ 26.989040] ahci 0000:02:00.0: flags: led clo only pio ccc
[ 27.041584] ata3: SATA link down (SStatus 0 SControl 300)
[ 27.041652] ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[ 27.041709] ata4: SATA link down (SStatus 0 SControl 300)
[ 27.041773] ata2: SATA link down (SStatus 0 SControl 300)
[ 27.041870] ata1.00: failed to read native max address (err_mask=0x1)
[ 27.041871] ata1.00: HPA support seems broken, skipping HPA handling
[ 27.041874] ata1.00: ATA-8: SMvDi02lGylQfF1qfjGL9Go6, 0001, max UDMA/133
[ 27.041876] ata1.00: 419430400 sectors, multi 16: LBA48
[ 27.042006] ata1.00: configured for UDMA/133
[ 27.042173] scsi 0:0:0:0: Direct-Access ATA SMvDi02lGylQfF1q 0001 PQ: 0 ANSI: 5
[ 27.042334] sd 0:0:0:0: [sda] 419430400 512-byte logical blocks: (214 GB/200 GiB)
[ 27.042380] sd 0:0:0:0: [sda] Write Protect is off
[ 27.042392] sd 0:0:0:0: Attached scsi generic sg0 type 0
[ 27.042402] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 27.043027] sda: sda1
[ 27.043248] sd 0:0:0:0: [sda] Attached SCSI disk
[ 27.062863] e1000 0000:06:00.1 eth5: (PCI-X:33MHz:32-bit) 00:22:99:e0:00:03
[ 27.062865] e1000 0000:06:00.1 eth5: Intel(R) PRO/1000 Network Connection
[ 27.362879] e1000 0000:07:00.1 eth6: (PCI-X:33MHz:32-bit) 00:22:99:e0:00:04
[ 27.362881] e1000 0000:07:00.1 eth6: Intel(R) PRO/1000 Network Connection
[ 27.662873] e1000 0000:08:00.1 eth7: (PCI-X:33MHz:32-bit) 00:22:99:e0:00:05
[ 27.662875] e1000 0000:08:00.1 eth7: Intel(R) PRO/1000 Network Connection
[ 28.672787] scsi4 : ahci
[ 28.703312] scsi5 : ahci
[ 28.733838] scsi6 : ahci
[ 28.764339] scsi7 : ahci
[ 28.794826] ata5: SATA max UDMA/133 abar m65536@0xc0820000 port 0xc0820100 irq 28
[ 28.884770] ata6: SATA max UDMA/133 abar m65536@0xc0820000 port 0xc0820180 irq 28
[ 28.974716] ata7: SATA max UDMA/133 abar m65536@0xc0820000 port 0xc0820200 irq 28
[ 29.064659] ata8: SATA max UDMA/133 abar m65536@0xc0820000 port 0xc0820280 irq 28
[ 29.154836] ahci 0000:03:00.0: AHCI 0001.0100 32 slots 4 ports 1.5 Gbps 0xf impl SATA mode
[ 29.254177] ahci 0000:03:00.0: flags: led clo only pio ccc
[ 29.321816] scsi8 : ahci
[ 29.352321] scsi9 : ahci
[ 29.382827] scsi10 : ahci
[ 29.414384] scsi11 : ahci
[ 29.445908] ata9: SATA max UDMA/133 abar m65536@0xc0720000 port 0xc0720100 irq 44
[ 29.469662] ata5: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[ 29.469835] ata5.00: failed to read native max address (err_mask=0x1)
[ 29.469836] ata5.00: HPA support seems broken, skipping HPA handling
[ 29.469839] ata5.00: ATA-8: SMvDkoWziOynRqDDMpLqadMA, 0001, max UDMA/133
[ 29.469841] ata5.00: 419430400 sectors, multi 16: LBA48
[ 29.469978] ata5.00: configured for UDMA/133
[ 29.470147] scsi 4:0:0:0: Direct-Access ATA SMvDkoWziOynRqDD 0001 PQ: 0 ANSI: 5
[ 29.470324] sd 4:0:0:0: [sdb] 419430400 512-byte logical blocks: (214 GB/200 GiB)
[ 29.470366] sd 4:0:0:0: Attached scsi generic sg1 type 0
[ 29.470433] sd 4:0:0:0: [sdb] Write Protect is off
[ 29.470473] sd 4:0:0:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 29.471815] sdb: unknown partition table
[ 29.472057] sd 4:0:0:0: [sdb] Attached SCSI disk
[ 29.577673] ata6: SATA link down (SStatus 0 SControl 300)
[ 29.577732] ata8: SATA link down (SStatus 0 SControl 300)
[ 29.577792] ata7: SATA link down (SStatus 0 SControl 300)
[ 30.674972] ata10: SATA max UDMA/133 abar m65536@0xc0720000 port 0xc0720180 irq 44
[ 30.765955] ata11: SATA max UDMA/133 abar m65536@0xc0720000 port 0xc0720200 irq 44
[ 30.856946] ata12: SATA max UDMA/133 abar m65536@0xc0720000 port 0xc0720280 irq 44
[ 30.948182] ahci 0000:04:00.0: AHCI 0001.0100 32 slots 4 ports 1.5 Gbps 0xf impl SATA mode
[ 31.047534] ahci 0000:04:00.0: flags: led clo only pio ccc
[ 31.115179] scsi12 : ahci
[ 31.146723] scsi13 : ahci
[ 31.178267] scsi14 : ahci
[ 31.209809] scsi15 : ahci
[ 31.241314] ata13: SATA max UDMA/133 abar m65536@0xc0620000 port 0xc0620100 irq 46
[ 31.265728] ata11: SATA link down (SStatus 0 SControl 300)
[ 31.265788] ata9: SATA link down (SStatus 0 SControl 300)
[ 31.265845] ata10: SATA link down (SStatus 0 SControl 300)
[ 31.265901] ata12: SATA link down (SStatus 0 SControl 300)
[ 31.594880] ata14: SATA max UDMA/133 abar m65536@0xc0620000 port 0xc0620180 irq 46
[ 31.685858] ata15: SATA max UDMA/133 abar m65536@0xc0620000 port 0xc0620200 irq 46
[ 31.776840] ata16: SATA max UDMA/133 abar m65536@0xc0620000 port 0xc0620280 irq 46
[ 31.868018] ahci 0000:05:00.0: AHCI 0001.0100 32 slots 4 ports 1.5 Gbps 0xf impl SATA mode
[ 31.967356] ahci 0000:05:00.0: flags: led clo only pio ccc
[ 32.034990] scsi16 : ahci
[ 32.066546] scsi17 : ahci
[ 32.098096] scsi18 : ahci
[ 32.129634] scsi19 : ahci
[ 32.161140] ata17: SATA max UDMA/133 abar m65536@0xc0520000 port 0xc0520100 irq 51
[ 32.185759] ata14: SATA link down (SStatus 0 SControl 300)
[ 32.185818] ata15: SATA link down (SStatus 0 SControl 300)
[ 32.185876] ata13: SATA link down (SStatus 0 SControl 300)
[ 32.185933] ata16: SATA link down (SStatus 0 SControl 300)
[ 32.515755] ata18: SATA max UDMA/133 abar m65536@0xc0520000 port 0xc0520180 irq 51
[ 32.606741] ata19: SATA max UDMA/133 abar m65536@0xc0520000 port 0xc0520200 irq 51
[ 32.697728] ata20: SATA max UDMA/133 abar m65536@0xc0520000 port 0xc0520280 irq 51
[ 32.788940] ahci 0000:06:00.0: AHCI 0001.0100 32 slots 4 ports 1.5 Gbps 0xf impl SATA mode
[ 32.888290] ahci 0000:06:00.0: flags: led clo only pio ccc
[ 32.955928] scsi20 : ahci
[ 32.987480] scsi21 : ahci
[ 33.019023] scsi22 : ahci
[ 33.050564] scsi23 : ahci
[ 33.082062] ata21: SATA max UDMA/133 abar m65536@0xc0420000 port 0xc0420100 irq 50
[ 33.105791] ata19: SATA link down (SStatus 0 SControl 300)
[ 33.105849] ata17: SATA link down (SStatus 0 SControl 300)
[ 33.105908] ata18: SATA link down (SStatus 0 SControl 300)
[ 33.105965] ata20: SATA link down (SStatus 0 SControl 300)
[ 33.436672] ata22: SATA max UDMA/133 abar m65536@0xc0420000 port 0xc0420180 irq 50
[ 33.527655] ata23: SATA max UDMA/133 abar m65536@0xc0420000 port 0xc0420200 irq 50
[ 33.618637] ata24: SATA max UDMA/133 abar m65536@0xc0420000 port 0xc0420280 irq 50
[ 33.709817] ahci 0000:07:00.0: AHCI 0001.0100 32 slots 4 ports 1.5 Gbps 0xf impl SATA mode
[ 33.809159] ahci 0000:07:00.0: flags: led clo only pio ccc
[ 33.876786] scsi24 : ahci
[ 33.908324] scsi25 : ahci
[ 33.939865] scsi26 : ahci
[ 33.971405] scsi27 : ahci
[ 34.002911] ata25: SATA max UDMA/133 abar m65536@0xc0320000 port 0xc0320100 irq 48
[ 34.025820] ata21: SATA link down (SStatus 0 SControl 300)
[ 34.025878] ata22: SATA link down (SStatus 0 SControl 300)
[ 34.025935] ata23: SATA link down (SStatus 0 SControl 300)
[ 34.025992] ata24: SATA link down (SStatus 0 SControl 300)
[ 34.357523] ata26: SATA max UDMA/133 abar m65536@0xc0320000 port 0xc0320180 irq 48
[ 34.448502] ata27: SATA max UDMA/133 abar m65536@0xc0320000 port 0xc0320200 irq 48
[ 34.539484] ata28: SATA max UDMA/133 abar m65536@0xc0320000 port 0xc0320280 irq 48
[ 34.630668] ahci 0000:08:00.0: AHCI 0001.0100 32 slots 4 ports 1.5 Gbps 0xf impl SATA mode
[ 34.730014] ahci 0000:08:00.0: flags: led clo only pio ccc
[ 34.797667] scsi28 : ahci
[ 34.829211] scsi29 : ahci
[ 34.860755] scsi30 : ahci
[ 34.892294] scsi31 : ahci
[ 34.923796] ata29: SATA max UDMA/133 abar m65536@0xc0220000 port 0xc0220100 irq 47
[ 34.949857] ata26: SATA link down (SStatus 0 SControl 300)
[ 34.949913] ata28: SATA link down (SStatus 0 SControl 300)
[ 34.949970] ata25: SATA link down (SStatus 0 SControl 300)
[ 34.950027] ata27: SATA link down (SStatus 0 SControl 300)
[ 35.278415] ata30: SATA max UDMA/133 abar m65536@0xc0220000 port 0xc0220180 irq 47
[ 35.369398] ata31: SATA max UDMA/133 abar m65536@0xc0220000 port 0xc0220200 irq 47
[ 35.460387] ata32: SATA max UDMA/133 abar m65536@0xc0220000 port 0xc0220280 irq 47
[ 35.869878] ata30: SATA link down (SStatus 0 SControl 300)
[ 35.935835] ata31: SATA link down (SStatus 0 SControl 300)
[ 36.001793] ata29: SATA link down (SStatus 0 SControl 300)
[ 36.067756] ata32: SATA link down (SStatus 0 SControl 300)
[ 36.181302] random: multipath urandom read with 65 bits of entropy available
[ 36.268977] device-mapper: multipath round-robin: version 1.0.0 loaded
[ 36.347679] bio: create slab <bio-1> at 1
Begin: Loading essential drivers[ 37.565238] random: nonblocking pool is initialized
 ... done.
Begin: Running /scripts/init-premount ... done.
Begin: Mounting r[ 37.703712] hidraw: raw HID events driver (C) Jiri Kosina
oot file system [ 37.780349] usbcore: registered new interface driver usbhid
... Begin: Runni[ 37.861532] usbhid: USB HID core driver
ng /scripts/local-top ... Begin: Loading multipath modules ... Success: loaded module dm-multipath.
Failure: failed to load module dm-emc.
done.
Begin: Waiting for scsi storage ... done.
Begin: Discovering multipaths ... done.
done.
Begin: Running /scripts/local-premount ... done.
mount: mounting /dev/disk/by-uuid/1a50ebe5-c215-40e8-88ee-7348f02cb11e on /root failed: Device or resource busy
Begin: Running /scripts/local-bottom ... done.
done.
Begin: Running /scripts/init-bottom ... mount: mounting /dev on /root/dev failed: No such file or directory
done.
mount: mounting /sys on /root/sys failed: No such file or directory
mount: mounting /proc on /root/proc failed: No such file or directory
Target filesystem doesn't have requested /sbin/init.
No init found. Try passing init= bootarg.

BusyBox v1.21.1 (Ubuntu 1:1.21.0-1ubuntu1) built-in shell (ash)
Enter 'help' for a list of built-in commands.

(initramfs)

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: multipath-tools 0.4.9-3ubuntu7.2
ProcVersionSignature: User Name 3.13.0-35.62-generic 3.13.11.6
Uname: Linux 3.13.0-35-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.4
Architecture: amd64
Date: Mon Jun 8 14:06:45 2015
ProcEnviron:
 TERM=screen
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: multipath-tools
UpgradeStatus: No upgrade log present (probably fresh install)

Scott Moser (smoser) wrote :
Scott Moser (smoser) wrote :
Larry Michel (lmic) on 2015-06-08
tags: added: oil
Scott Moser (smoser) wrote :

bug 1463043 is the curtin bug to only install multipath-tools-boot when *really* necessary.

description: updated
Scott Moser (smoser) on 2015-06-08
description: updated
Scott Moser (smoser) on 2015-06-12
Changed in multipath-tools (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
description: updated
Changed in multipath-tools (Debian):
status: Unknown → New
Steve Langasek (vorlon) wrote :

Installing this package on the system should not break boot. I think this is a high-priority bug to fix (including in SRU).

Changed in multipath-tools (Ubuntu):
status: Confirmed → Triaged
importance: Medium → High
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)

The devices don't appear to have the same serial or even the same product name, I'm unsure why they're be considered as multipathed even with the apparent same scsi_id as you've discovered.

What does multipath -ll output on this system? Also, could you please run the following commands:

for d in /dev/sda /dev/sdb; do echo "page 0x80: $d:'$(sudo /lib/udev/scsi_id --whitelisted --page=0x80 --device=$d)'"; done
for d in /dev/sda /dev/sdb; do echo "page 0x83: $d:'$(sudo /lib/udev/scsi_id --whitelisted --page=0x83 --device=$d)'"; done
for d in /dev/sda /dev/sdb; do echo "page pre: $d:'$(sudo /lib/udev/scsi_id --whitelisted --page=pre-spc3-83 --device=$d)'"; done

In case we're dealing here with non-standard devices, I'd like to whether there is an alternative method we can use that would get better results. We've seen here that page 0x83 was used, but we should find out whether 0x80 is available, or if this also needs kernel/driver work.

Changed in multipath-tools (Ubuntu):
status: Triaged → Incomplete
Scott Moser (smoser) wrote :

% for p in 0x80 0x83 pre-spc3-83; do
  for d in /dev/sd?; do [ -b "$d" ] || continue;
    printf "page %-12s: %s: '%s'\n" "$p" "$d" "$(sudo /lib/udev/scsi_id --whitelisted --page=$p --device=$d)"; done; done
page 0x80 : /dev/sda: 'SATA SMvDi02lGylQfF1qi02lGylQfF1qfjGL9Go6'
page 0x80 : /dev/sdb: 'SATA SMvDkoWziOynRqDDkoWziOynRqDDMpLqadMA'
page 0x83 : /dev/sda: '35000c5001feb99f0'
page 0x83 : /dev/sdb: '35000c5001feb99f0'
page pre-spc3-83 : /dev/sda: '35000c5001feb99f0'
page pre-spc3-83 : /dev/sdb: '35000c5001feb99f0'

Changed in multipath-tools (Ubuntu):
status: Incomplete → Confirmed

In light of this, I'm guessing we'll need to special-case these devices to use page 0x80 to decide whether to consider them as multipath devices, at least on 14.04.

For 15.10; I'd like to run a bit more testing, I believe multipath-tools 0.5.0 / sg3-utils will make changes unnecessary and properly *not* consider these devices as multipathed.

Changed in multipath-tools (Ubuntu):
status: Confirmed → Triaged

Could you please run 'udevadm info --query=all --name=/dev/sda' so we know whether there are attributes we can use to differentiate these drives?

Changed in multipath-tools (Ubuntu):
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package multipath-tools - 0.5.0-7ubuntu2

---------------
multipath-tools (0.5.0-7ubuntu2) wily; urgency=medium

  * debian/patches/add_find-multipaths.patch: properly handle local non-mpath
    devices. (LP: #1463046)
  * debian/patches/ignore_devices_nodename_fail.patch: ignore devices for which
    sysfs_get_tgt_nodename fails.
  * debian/patches/skip_usb_devices.patch: skip USB devices during discovery.
    (LP: #1468897)

 -- Mathieu Trudel-Lapierre <email address hidden> Fri, 10 Jul 2015 15:53:37 -0400

Changed in multipath-tools (Ubuntu):
status: Incomplete → Fix Released
Changed in multipath-tools (Ubuntu Trusty):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Changed in multipath-tools (Ubuntu Vivid):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Changed in multipath-tools (Ubuntu Trusty):
status: New → In Progress
Changed in multipath-tools (Ubuntu Vivid):
status: New → Triaged
Changed in multipath-tools (Ubuntu Trusty):
importance: Undecided → High
Changed in multipath-tools (Ubuntu Vivid):
importance: Undecided → High
Changed in multipath-tools (Ubuntu Trusty):
milestone: none → trusty-updates
Changed in multipath-tools (Ubuntu Vivid):
milestone: none → vivid-updates
Changed in multipath-tools (Ubuntu Vivid):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.